@echo off
rem ---------------------------------------------------------------------------
rem For Microsoft Windows
rem
rem Start the MM3-WebAssistant - Proxy Offline Browser
rem
rem   JAVA_JRE   This environment variable must point to your Java Virtuale Machine (JRE).
rem              example:  SET JAVA_JRE="c:\program\sun\jre1.4\bin\java.exe"

SET JAVA_JRE=java.exe

rem    At problems: Change to the directory which contains the file MM3-WebAssistant.jar.
rem d:
rem cd \MM3-WebAssistantProfessional\


%JAVA_JRE% -jar MM3-WebAssistant.jar 


rem better for win xp
if errorlevel 255 if not errorlevel 256 goto end

rem better for win 9x
rem if errorlevel 255 goto end

rem for all version
if errorlevel 130 if not errorlevel 131 goto end

:noJava
echo ---
echo Java isn't installed   
echo or the environment variable is not defined correctly.
echo Please install Java or define the environment variable in this batch-file.
echo .
echo You find downloads for Java locally:
echo documentation/professional/en/getJava.html

start documentation/professional/en/getJava.html
pause > nul

:end
